Package org.apache.cxf.bus.managers

# Class DestinationFactoryManagerImpl

java.lang.Object
org.apache.cxf.bus.managers.DestinationFactoryManagerImpl

All Implemented Interfaces:
  `DestinationFactoryManager`

public final class DestinationFactoryManagerImpl extends Object implements DestinationFactoryManager

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DestinationFactoryManagerImpl()`
  `DestinationFactoryManagerImpl(Map<String,DestinationFactory> destinationFactories)`
  `DestinationFactoryManagerImpl(Map<String,DestinationFactory> destinationFactories, Bus b)`
  `DestinationFactoryManagerImpl(Bus b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deregisterDestinationFactory(String namespace)`
  Unregister a `DestinationFactory`.
  `DestinationFactory`
  `getDestinationFactory(String namespace)`
  Returns the conduit initiator for the given namespace, constructing it (and storing in the cache for future reference) if necessary, using its list of factory classname to namespace mappings.
  `DestinationFactory`
  `getDestinationFactoryForUri(String uri)`
  Returns the `DestinationFactory` registered with the specified URI, loading the appropriate plugin if necessary.
  `Set<String>`
  `getRegisteredDestinationFactoryNames()`
  Returns all registered (as of the moment of the call) destination factories.
  `void`
  `registerDestinationFactory(String namespace, DestinationFactory factory)`
  Associates a name, often a URI, with a `DestinationFactory` when registering with the `Bus`'s `TransportRegistry`.
  `void`
  `setBus(Bus b)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DestinationFactoryManagerImpl

    public DestinationFactoryManagerImpl()

  - ### DestinationFactoryManagerImpl

    public DestinationFactoryManagerImpl(Bus b)

  - ### DestinationFactoryManagerImpl

    public DestinationFactoryManagerImpl(Map<String,DestinationFactory> destinationFactories)

  - ### DestinationFactoryManagerImpl

    public DestinationFactoryManagerImpl(Map<String,DestinationFactory> destinationFactories, Bus b)

- ## Method Details

  - ### setBus

    public void setBus(Bus b)

  - ### registerDestinationFactory

    public void registerDestinationFactory(String namespace, DestinationFactory factory)
    Description copied from interface: `DestinationFactoryManager`
    Associates a name, often a URI, with a `DestinationFactory` when registering with the `Bus`'s `TransportRegistry`.
    Specified by:
      `registerDestinationFactory` in interface `DestinationFactoryManager`
    Parameters:
      `namespace` - A string containing the name used to identify the `DestinationFactory`
      `factory` - The `DestinationFactory` to be registered.

  - ### deregisterDestinationFactory

    public void deregisterDestinationFactory(String namespace)
    Description copied from interface: `DestinationFactoryManager`
    Unregister a `DestinationFactory`.
    Specified by:
      `deregisterDestinationFactory` in interface `DestinationFactoryManager`
    Parameters:
      `namespace` - A string containing the name of the `DestinationFactory`.

  - ### getDestinationFactory

    public DestinationFactory getDestinationFactory(String namespace) throws BusException
    Returns the conduit initiator for the given namespace, constructing it (and storing in the cache for future reference) if necessary, using its list of factory classname to namespace mappings.
    Specified by:
      `getDestinationFactory` in interface `DestinationFactoryManager`
    Parameters:
      `namespace` - the namespace.
    Returns:
      the registered `DestinationFactory`
    Throws:
      `BusException`

  - ### getDestinationFactoryForUri

    public DestinationFactory getDestinationFactoryForUri(String uri)
    Description copied from interface: `DestinationFactoryManager`
    Returns the `DestinationFactory` registered with the specified URI, loading the appropriate plugin if necessary.
    Specified by:
      `getDestinationFactoryForUri` in interface `DestinationFactoryManager`
    Parameters:
      `uri` - the uri to look up `DestinationFactory`
    Returns:
      the registered `DestinationFactory`

  - ### getRegisteredDestinationFactoryNames

    public Set<String> getRegisteredDestinationFactoryNames()
    Description copied from interface: `DestinationFactoryManager`
    Returns all registered (as of the moment of the call) destination factories.
    Specified by:
      `getRegisteredDestinationFactoryNames` in interface `DestinationFactoryManager`
    Returns:
      all registered (as of the moment of the call) destination factories.